# Class CalculatedObservationsTest

Namespace
  adas_core.Test.Customizations.HRYC

Assembly
  adas-core.Test.dll

    [TestFixture]
    public class CalculatedObservationsTest

Inheritance
  object
  CalculatedObservationsTest

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### CalculateAllergiesObservation_Received_AllergiesObs_Emty_Return_Allergies_Emty()

    [Test]
    public Task CalculateAllergiesObservation_Received_AllergiesObs_Emty_Return_Allergies_Emty()

#### Returns

Task

### CalculateAllergiesObservation_Received_AllergiesObs_With_1_Farmacos_Return_Allergies()

    [Test]
    public Task CalculateAllergiesObservation_Received_AllergiesObs_With_1_Farmacos_Return_Allergies()

#### Returns

Task

### CalculateAllergiesObservation_Received_AllergiesObs_With_2_Farmacos_Return_Allergies()

    [Test]
    public Task CalculateAllergiesObservation_Received_AllergiesObs_With_2_Farmacos_Return_Allergies()

#### Returns

Task

### CalculateAllergiesObservation_Received_AllergiesObs_Without_Farmacos_Return_Allergies()

    [Test]
    public Task CalculateAllergiesObservation_Received_AllergiesObs_Without_Farmacos_Return_Allergies()

#### Returns

Task

### CalculateDiuresis_Weight_D_3924_Receive_W_90_Return_43_6()

    [Test]
    public Task CalculateDiuresis_Weight_D_3924_Receive_W_90_Return_43_6()

#### Returns

Task

### CalculateDiuresis_Weight_Received_D_3924_W_90_Return_43_6()

    [Test]
    public Task CalculateDiuresis_Weight_Received_D_3924_W_90_Return_43_6()

#### Returns

Task

### CalculateDiuresis_Weight_Received_D_3924_W_Null_Return_Nothing()

    [Test]
    public Task CalculateDiuresis_Weight_Received_D_3924_W_Null_Return_Nothing()

#### Returns

Task

### CalculateDiuresis_Weight_Received_W_90_D_Null_Return_Nothing()

    [Test]
    public Task CalculateDiuresis_Weight_Received_W_90_D_Null_Return_Nothing()

#### Returns

Task

### Calculate_CheckBeaconOnNEWS_Should_Send_PowerOff()

    [Test]
    public Task Calculate_CheckBeaconOnNEWS_Should_Send_PowerOff()

#### Returns

Task

### Calculate_CheckBeaconOnNEWS_Should_Send_Red()

    [Test]
    public Task Calculate_CheckBeaconOnNEWS_Should_Send_Red()

#### Returns

Task

### Calculate_CheckBeaconOnNEWS_Should_Send_Yellow()

    [Test]
    public Task Calculate_CheckBeaconOnNEWS_Should_Send_Yellow()

#### Returns

Task

### Calculate_Drainages_Received_volume_60_height_8_Return_DVE_height()

    [Test]
    public Task Calculate_Drainages_Received_volume_60_height_8_Return_DVE_height()

#### Returns

Task

### Calculate_Drainages_Received_volume_60_height_null_Return_DVE()

    [Test]
    public Task Calculate_Drainages_Received_volume_60_height_null_Return_DVE()

#### Returns

Task

### Calculate_Drainages_Received_volume_null_height_8_Return_height()

    [Test]
    public Task Calculate_Drainages_Received_volume_null_height_8_Return_height()

#### Returns

Task

### Calculate_Drainages_Received_volume_null_height_null_Return_nothing()

    [Test]
    public Task Calculate_Drainages_Received_volume_null_height_null_Return_nothing()

#### Returns

Task

### Calculate_FC_Returns_NEWS_EXTR_HI_FC()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_FC_Returns_NEWS_EXTR_HI_FC()

#### Returns

Task

### Calculate_FC_Returns_NEWS_EXTR_LO_FC()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_FC_Returns_NEWS_EXTR_LO_FC()

#### Returns

Task

### Calculate_FC_Returns_NEWS_HI_FC()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_FC_Returns_NEWS_HI_FC()

#### Returns

Task

### Calculate_FR_Does_Not_Returns_NEWS_EXTR_HI_Resp_Rate_When_Invalid_Value()

    [Test]
    public Task Calculate_FR_Does_Not_Returns_NEWS_EXTR_HI_Resp_Rate_When_Invalid_Value()

#### Returns

Task

### Calculate_FR_Returns_NEWS_EXTR_HI_Resp_Rate()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_FR_Returns_NEWS_EXTR_HI_Resp_Rate()

#### Returns

Task

### Calculate_FR_Returns_NEWS_EXTR_LO_Resp_Rate()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_FR_Returns_NEWS_EXTR_LO_Resp_Rate()

#### Returns

Task

### Calculate_FR_Returns_NEWS_HI_Resp_Rate()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_FR_Returns_NEWS_HI_Resp_Rate()

#### Returns

Task

### Calculate_SpO2_Returns_NEWS_EXTR_LO_SpO2()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_SpO2_Returns_NEWS_EXTR_LO_SpO2()

#### Returns

Task

### Calculate_SpO2_Returns_NEWS_LO_SpO2()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_SpO2_Returns_NEWS_LO_SpO2()

#### Returns

Task

### Calculate_TAs_Returns_NEWS_EXTR_HI_TAs()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_TAs_Returns_NEWS_EXTR_HI_TAs()

#### Returns

Task

### Calculate_TAs_Returns_NEWS_EXTR_LO_TAs()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_TAs_Returns_NEWS_EXTR_LO_TAs()

#### Returns

Task

### Calculate_TAs_Returns_NEWS_LO_TAs()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_TAs_Returns_NEWS_LO_TAs()

#### Returns

Task

### Calculate_Temperature_Returns_NEWS_EXTR_LO_Temperature()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_Temperature_Returns_NEWS_EXTR_LO_Temperature()

#### Returns

Task

### Calculate_Temperature_Returns_NEWS_HI_Temperature()

    [Ignore("old NEWS calc")]
    [Test]
    public Task Calculate_Temperature_Returns_NEWS_HI_Temperature()

#### Returns

Task

### Calculate_Ventilation_Mode_Should_Return_HIGH_FREQUENCY()

    [Test]
    public Task Calculate_Ventilation_Mode_Should_Return_HIGH_FREQUENCY()

#### Returns

Task

### Calculate_Ventilation_Mode_Should_Return_INVASIVE()

    [Test]
    public Task Calculate_Ventilation_Mode_Should_Return_INVASIVE()

#### Returns

Task

### Calculate_Ventilation_Mode_Should_Return_NON_INVASIVE()

    [Test]
    public Task Calculate_Ventilation_Mode_Should_Return_NON_INVASIVE()

#### Returns

Task

### Check_Insert_Resp_Rate_Calculated_HasTimePlusOneSecond_And_Resp_Rate_Calculated_HasVentRateAsParent()

    [Test]
    public Task Check_Insert_Resp_Rate_Calculated_HasTimePlusOneSecond_And_Resp_Rate_Calculated_HasVentRateAsParent()

#### Returns

Task

### Check_MDC_VENT_RESP_RATE_IsInsertedBefore_And_RemoveFromList()

    [Test]
    public Task Check_MDC_VENT_RESP_RATE_IsInsertedBefore_And_RemoveFromList()

#### Returns

Task

### Setup()

    [SetUp]
    public void Setup()